Bug 239657

Summary: FC7T4 Live 386 fails to boot because it can't find the root device
Product: [Fedora] Fedora Reporter: Allan Duncan <amd2345>
Component: udevAssignee: Harald Hoyer <harald>
Severity: high Docs Contact:
Priority: medium    
Version: rawhideCC: davidz, dcantrell, katzj, mef
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: udev-113 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-08-24 06:30:19 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Description Flags
log for successfully booting (forced to stop at single user)
logs for the fail case - again
A tweak to init in initrd.img to modprobe sr_mod none

Description Allan Duncan 2007-05-10 07:11:53 EDT
Description of problem:
FC7T4 Live 386 fails to boot because it can't find the root device

Version-Release number of selected component (if applicable):
FC7T4 Live 386

How reproducible:
Every boot - unless there is a usb stick plugged in, when it works perfectly.

Steps to Reproduce:
1. Insert CD and power up
2. Select run from image
3. Wait for timeout that drops you into the nash shell asking for a root device
Actual results:
Timeout drops you into the nash shell asking for a root device

Expected results:
Switch to root device and completion of boot

Additional info:
Sounds a bit like bugs 227281 and 238095.

My case: motherboard ide handled by nvidia MCP2A with CD on ide0secondary DVD on
ide1primary, and Silicon Image 0680 pic with HDs on ide0p and ide1p.
Initial boot hardware scan finds both ide devices (pata_amd and pata_sil680) and
the drives themselves, allocates scsi0 - scsi3 and ata1 - ata4, but only creates
/dev/sda and /dev/sdb for the HDs.  Naturaly the boot process hangs for lack of
a root device, since the CD has no device.

I found that having a usb stick at boot time gave a normal boot.
Log files to come shortly (this is coming from the test box itself).
Comment 1 Allan Duncan 2007-05-10 10:26:47 EDT
Created attachment 154471
Comment 2 Allan Duncan 2007-05-10 10:28:04 EDT
Created attachment 154472 [details]
log for successfully booting (forced to stop at single user)
Comment 3 Bill Nottingham 2007-05-10 13:08:21 EDT
If adding usb caused it to work, it's probably a delay issue in the initrd.
Comment 4 Allan Duncan 2007-05-11 09:35:36 EDT
If it is in initrd, would that also affect the DVD version?
I'm currently downloading it via wet string.  Will test and report when done.
Comment 5 Allan Duncan 2007-05-12 06:40:06 EDT
Looked at the DVD - totally different initrd that doesn't have the problem.
Comment 6 Jeremy Katz 2007-05-14 12:01:50 EDT
When it fails, can you see if /sys/block/sr0 exists and if sr_mod is loaded?
Comment 7 Allan Duncan 2007-05-14 21:54:26 EDT
Created attachment 154701 [details]
logs for the fail case - again

Bloody Murphy- Bugzilla ate the previous copy and I didn't notice until I went
to refer to it.
In answer, no sr0 sr1, or sr_mod until I manually modprobed - see tail of
fail.txt for that.

By chance I added a sata drive last night, and now the trick of a usb stick
making it boot doesn't work.  Disable sata in the bios and back to previous
behaviour.  Looks much the same as before, just another drive added.
Comment 8 Jeremy Katz 2007-05-15 10:59:40 EDT
For some reason, udev isn't loading sr_mod...  this is the same thing that
davej's machine hit I think, but then I wasn't able to reproduce it anywhere else.
Comment 9 Allan Duncan 2007-05-16 05:22:05 EDT
Any further data I can extract?
I might be able to create a hacked initrd with some debug, given the odd pointer.
(I've done it on an HD, creating the CD is a little more adventurous).
Comment 10 Allan Duncan 2007-05-19 08:26:49 EDT
Created attachment 155045 [details]
A tweak to init in initrd.img to modprobe sr_mod 

I hacked init in initrd.img to add a line to modprobe sr_mod that causes the
udev cascade to load sr0 and sr1 etc, and hence make /dev/root to appear.
Whether the location I selected is optimal I can't say.

As a hack it works on this box - not finding the real cause, but a workaround.
Comment 11 Jeremy Katz 2007-05-21 15:40:56 EDT
Similar hack applied to the repo for livecd-creator; that'll at least avoid this
being a blocker for F7 although we should still resolve it
Comment 12 Jeremy Katz 2007-05-22 18:54:50 EDT
*** Bug 240859 has been marked as a duplicate of this bug. ***
Comment 13 Harald Hoyer 2007-05-29 05:58:12 EDT
no udev in initrd running... reassigning...
Comment 14 Jeremy Katz 2007-05-29 08:55:19 EDT
This is the livecd; udev _is_ running in the initrd